We use these services and cookies to improve your user experience. You may opt out if you wish, however, this may limit some features on this site.

Please see our statement on Data Privacy.

Zendesk (Helpdesk and Chat)
Bugpilot (Bug tracking)

Ok

THREATINT CVE Home CVE Diag Help
PUBLISHED

CVE-2024-29008

Apache CloudStack: The extraconfig feature can be abused to load hypervisor resources on a VM instance

Reserved:2024-03-13
Published:2024-04-04
Updated:2024-04-04

Description

A problem has been identified in the CloudStack additional VM configuration (extraconfig) feature which can be misused by anyone who has privilege to deploy a VM instance or configure settings of an already deployed VM instance, to configure additional VM configuration even when the feature is not explicitly enabled by the administrator. In a KVM based CloudStack environment, an attacker can exploit this issue to attach host devices such as storage disks, and PCI and USB devices such as network adapters and GPUs, in a regular VM instance that can be further exploited to gain access to the underlying network and storage infrastructure resources, and access any VM instance disks on the local storage. Users are advised to upgrade to version 4.18.1.1 or 4.19.0.1, which fixes this issue.


Problem types

CWE-20 Improper Input Validation

Product status

Default status
unaffected

4.14.0.0
affected

4.19.0.0
affected

Credits

Wei Zhou <ustcweizhou@gmail.com> finder

References

https://lists.apache.org/thread/82f46pv7mvh95ybto5hn8wlo6g8jhjvp vendor-advisory

cve.org CVE-2024-29008

nvd.nist.gov CVE-2024-29008

Download JSON

Share this page
https://cve.threatint.com/CVE/CVE-2024-29008